public static interface LogEndpointBuilderFactory.LogBuilders
| Modifier and Type | Method and Description |
|---|---|
default LogEndpointBuilderFactory.LogEndpointBuilder |
log(String path)
Log (camel-log)
Log messages to the underlying logging mechanism.
|
default LogEndpointBuilderFactory.LogEndpointBuilder |
log(String componentName,
String path)
Log (camel-log)
Log messages to the underlying logging mechanism.
|
default LogEndpointBuilderFactory.LogEndpointBuilder log(String path)
log:loggerName
Path parameter: loggerName (required)
Name of the logging category to usepath - loggerNamedefault LogEndpointBuilderFactory.LogEndpointBuilder log(String componentName, String path)
log:loggerName
Path parameter: loggerName (required)
Name of the logging category to usecomponentName - to use a custom component name for the endpoint
instead of the default namepath - loggerNameApache Camel